# Ladevorgänge

Über den Endpunkt <mark style="background-color:blue;">/sessions</mark> können alle Ladevorgänge abgerufen werden.

#### Optionale Parameter

| Parameter       | Beschreibung                                                                                                                      |
| --------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| auth\_type      | Nur Ladevorgänge mit einer bestimmten Autorisierungsmethode. Entweder LOCAL oder REMOTE.                                          |
| user\_reference | Nur Ladevorgänge von einem bestimmten Flotten-Benutzer.                                                                           |
| status          | Nur Ladevorgänge mit dem angegebenen Status. Diese sind PREPARING, STARTING, ACTIVE, REMOTE\_STOPPED, CLOSED, FAILED und INVALID. |

Das folgende Beispiel zeigt eine Auflistung aller Aktive Ladevorgänge.

{% code lineNumbers="true" %}

```
curl --request GET \
  --url 'https://data.800volt.de/public/charging/1/sessions?status=ACTIVE' \
  --header 'Accept-Encoding: gzip' \
  --header 'x-api-key: YOUR_API_KEY'
```

{% endcode %}

Das Ergebnis ist eine Liste aller aktiver Ladevorgänge.

{% code lineNumbers="true" %}

```json
{
    "sessions": [{
	"id": "SESSION_ID",
	"auth_type": "REMOTE",
	"status": "ACTIVE",
	"created_at": 1695383249,
	"started_at": 1695383249,
	"completed_at": null,
	"last_updated_at": 1695383358,
	"evse": "DE*2GO*EMCD1311*1A*2",
	"charging_station": {}, // LADESTATIONS_DETAILS
	"user_reference": "YOUR_USER_REFERENCE"
    }]
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pumpapp.co/pump-connect/entwickler/pump-fleet/ladevorgange.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
